XF 2.2 Upgrade Xenforo 2.2.5

qwer81

Member
Hi guys, I have Xenforo in version 2.2.5 and I would like to update to the latest version. Can i use the "upgrade now" button without "fear"? Is the update all automatic? How long does the update process take, on average? The current version of php is 7.3.33: compatible with the new version of xenforo?

Thank you!
 

Nicolas FR

Well-known member
Hello,
The following are minimum requirements:
  • PHP 7.0 or newer (PHP 8.0 recommended)
  • MySQL 5.5 and newer (Also compatible with MariaDB/Percona etc.)
  • All of the official add-ons require XenForo 2.2.
  • Enhanced Search requires at least Elasticsearch 2.0.
How big is your forum ?
CLI is recommended for forum over 100.000 messages i guess.
Under this you can use automatic update whose process is not very long (few minutes). Always perform a DB backup before proceeding.
 

Brogan

XenForo moderator
Staff member
CLI upgrade is really only required for major releases.

You should be okay with the web based upgrade for 2.2.5 to 2.2.8.
 
Top